/*
 * Copyright (c) 1998, Wolfram Schneider <schneider@zib.de>,
 *                     Konrad Zuse Zentrum fr Informationstechnik Berlin.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 *  $Id: iso5426lat1.l,v 1.4 1998/02/26 17:57:38 wolfram Exp $
 *
 *
 * iso5426 to iso8859-1 conversion. This file support only a subset
 * of ISO 5426:1983. It is incomplete due the lack of free
 * available documentation ;-(
 * 
 * The character conversion based on the german MAB2 (Maschinelles 
 * Austauschformat fr Bibliotheken) documentation, October 1996, 
 * die Deutsche Bibliothek, Frankfurt am Main. 
 * URL: http://www.ddb.de, ftp://ftp.ddb.de/pub/mab/
 *
 *
 * http://lcweb.loc.gov/loc/standards/isotc46/sc4standards.html
 * Character sets: 
 * ISO 5426:1983 -   Extension of the Latin alphabet coded character
 *                   set for bibliographic information interchange 
 * ISO 5426-2:1996 - Extension of the Latin alphabet coded character set 
 *                   for bibliographic information interchange 
 *                   Part 2: Latin characters used in minor European 
 *                   languages and obsolete typography 
 *
 * 
 * ISO 5426:1983
 * 
 * Extension of the Latin alphabet coded character set for bibliographic
 * information interchange
 * 
 * Contains a set of 76 graphic characters with their coded
 * representations. It includes a code table and a legend showing each
 * graphic, its name and use, and explanatory notes. Primarily intended
 * for information interchange among data processing systems and within
 * message transmission systems, this character set is designed to handle
 * information in 39 specified languages, as well as transliterated or
 * romanized forms of an additional 32 languages. These characters,
 * together with the characters in the international reference version of
 * ISO 646 (ISO escape sequence ESC 2/8 4/0), constitute a character set
 * for the international interchange of bibliographic citations,
 * including their annotations, in the Latin alphabet.
 * 
 * ISO 5426-2:1996 
 * 
 * Extension of the Latin alphabet coded character set for bibliographic
 * information interchange Part 2: Latin characters used in minor
 * European languages and obsolete typography
 * 
 * Contains a set of 70 graphic characters, and their coded
 * representations. These characters form a supplement to those provided
 * in ISO 5426 by addressing less common and obsolete languages which use
 * the Latin script and obsolete printing conventions. Included is a code
 * table and a legend showing each graphic, its name and use, and
 * explanatory notes. This character set is primarily intended for
 * information interchange among data processing systems and within
 * message transmission systems. These characters, together with the
 * characters from ISO 646/IEC and ISO 5426, is intended to handle
 * information in the following languages: Anglo-Saxon, Greenlandic,
 * Lappish, Latin, Latvian (older forms), and Maltese. It is also
 * intended to cover printing conventions associated with older books, in
 * particular marks associated with binding signatures.
 * 
 */


/* Step name: iso5426_latin1.  */


%%
\173	{ output(123); }
\174    { output(124); }
\175    { output(125); }
\37     { output(36); }
\266	{ output(158); } 
\241	{ output(161); }
\243	{ output(163); }
\244	{ output(36);  }
\247	{ output(167); } 

\210    { output(172); }
\211    { output(172); }

\253	{ output(171); } 
\273	{ output(187); }
\277	{ output(191); } 


\341	{ output(198); }
\342	{ output(208); }

\350    { output(76); }
\351	{ output(216); }
\354	{ output(254); }
\361	{ output(230); }
\362	{ output(100); }
\363	{ output(240); }
\365	{ output(134); }
\370	{ output(108); }
\371	{ output(248); }
\373	{ output(223); }
\374	{ output(222); } 

\301a	{ output(224); } 
\301e	{ output(232); } 
\301i	{ output(236); } 
\301o	{ output(242); } 
\301u	{ output(249); } 

\301A	{ output(192); } 
\301E	{ output(200); } 
\301I	{ output(204); } 
\301O	{ output(210); } 
\301U	{ output(217); } 

\302a	{ output(225); } 
\302e	{ output(233); } 
\302i	{ output(237); } 
\302o	{ output(243); } 
\302u	{ output(250); } 
\302y	{ output(253); } 

\302A	{ output(193); } 
\302E	{ output(201); } 
\302I	{ output(205); } 
\302O	{ output(211); } 
\302U	{ output(218); } 
\302Y	{ output(221); } 

\303a	{ output(226); } 
\303e	{ output(234); } 
\303i	{ output(238); } 
\303o	{ output(244); } 
\303u	{ output(251); } 

\303A	{ output(194); } 
\303E	{ output(202); } 
\303I	{ output(206); } 
\303O	{ output(212); } 
\303U	{ output(219); } 

\304a	{ output(227); } 
\304o	{ output(245); } 
\304n	{ output(241); } 

\304A	{ output(195); } 
\304O	{ output(213); } 
\304N	{ output(209); } 

\310e	{ output(235); } 
\310i	{ output(239); } 
\310y	{ output(255); } 

\310E	{ output(203); } 
\310I	{ output(207); } 

\312a	{ output(229); } 
\312A	{ output(197); } 

\320c	{ output(231); } 
\320C	{ output(199); } 

\311a	{ output(228); } 
\311o	{ output(246); } 
\311u	{ output(252); } 
\311A	{ output(196); } 
\311O	{ output(214); } 
\311U	{ output(220); }   


%%

void
module_iso5426_latin1 (void)
{
  declare_step ("ISO5426:1983-DB-MAB2", "latin1", 
		MANY_TO_ONE, NULL, file_iso5426_latin1);

  declare_alias ("ISO5426", "ISO5426:1983-DB-MAB2");
  declare_alias ("DB-MAB2", "ISO5426:1983-DB-MAB2");
  declare_alias ("MAB2", "ISO5426:1983-DB-MAB2");
  declare_alias ("MAB", "ISO5426:1983-DB-MAB2");
  declare_alias ("DDB", "ISO5426:1983-DB-MAB2"); /* Die Deutsche Bibliothek */
}
