/*
 * Copyright (c) 1998, Wolfram Schneider <schneider@zib.de>,
 *                     Konrad Zuse Zentrum fr Informationstechnik Berlin.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 *  $Id: lat1iso5426.h,v 1.1 1998/02/19 15:46:44 wolfram Exp $
 *
 * Read the file iso5426lat1.l for more information about iso5426.
 *
 */

static struct translation diacritic_translations [] =
  {
        {36,  ""},
	{123, "{"},
	{124, "|"},
	{125, "}"},
	{158, ""},
	{161, ""},
	{163, ""},
	{167, ""},
	{171, ""},
	{187, ""},
	{191, ""},
	{198, ""},
	{208, ""},
	{216, ""},
	{254, ""},
	{230, ""},
	{240, ""},
	{134, ""},
	{248, ""},
	{223, ""},
	{222, ""},
	{224, "a"},
	{232, "e"},
	{236, "i"},
	{242, "o"},
	{249, "u"},
	{192, "A"},
	{200, "E"},
	{204, "I"},
	{210, "O"},
	{217, "U"},
	{225, "a"},
	{233, "e"},
	{237, "i"},
	{243, "o"},
	{250, "u"},
	{253, "y"},
	{193, "A"},
	{201, "E"},
	{205, "I"},
	{211, "O"},
	{218, "U"},
	{221, "Y"},
	{226, "a"},
	{234, "e"},
	{238, "i"},
	{244, "o"},
	{251, "u"},
	{194, "A"},
	{202, "E"},
	{206, "I"},
	{212, "O"},
	{219, "U"},
	{227, "a"},
	{245, "o"},
	{241, "n"},
	{195, "A"},
	{213, "O"},
	{209, "N"},
	{235, "e"},
	{239, "i"},
	{255, "y"},
	{203, "E"},
	{207, "I"},
	{229, "a"},
	{197, "A"},
	{231, "c"},
	{199, "C"},
	{228, "a"},
	{246, "o"},
	{252, "u"},
	{196, "A"},
	{214, "O"},
	{220, "U"},
    {0, NULL}
  };
